"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BossBarPacket = void 0;
const deprecatePacket_1 = require("../../util/deprecatePacket");
const Packet_1 = require("../Packet");
class _BossBarPacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeVarInt(this.data.action);
        if (this.data.action === 0) {
            this.buf.writeString(this.data.text);
            this.buf.writeFloat(this.data.health);
        }
        this.buf.finish();
    }
    read() {
        const action = this.buf.readVarInt();
        this.data = { action, text: null, health: null };
        if (action === 0) {
            this.data.text = this.buf.readString();
            this.data.health = this.buf.readFloat();
        }
        return this.data;
    }
}
_BossBarPacket.id = 28;
/** @deprecated Packet not handled by the official Lunar Client */
exports.BossBarPacket = (0, deprecatePacket_1.default)(_BossBarPacket);
