import { Packet } from '../Packet';
export declare class HologramPacket extends Packet<Hologram> {
    static id: number;
    write(data?: Hologram): void;
    read(): Hologram;
}
/**
 * Hologram packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketHologram.java
 */
interface Hologram {
    /** UUID of the hologram */
    uuid: string;
    /** X coordinate of the hologram */
    x: number;
    /** Y coordinate of the hologram */
    y: number;
    /** Z coordinate of the hologram */
    z: number;
    /** Lines displayed in the hologram */
    lines: string[];
}
export {};
