"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HologramUpdatePacket = void 0;
const Packet_1 = require("../Packet");
class HologramUpdatePacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeUUID(this.data.uuid);
        this.buf.writeVarInt(this.data.lines.length);
        for (const line of this.data.lines)
            this.buf.writeString(line);
        this.buf.finish();
    }
    read() {
        const uuid = this.buf.readUUID();
        const linesLength = this.buf.readVarInt();
        const lines = [];
        for (let i = 0; i < linesLength; i++)
            lines.push(this.buf.readString());
        this.data = {
            uuid,
            lines,
        };
        return this.data;
    }
}
exports.HologramUpdatePacket = HologramUpdatePacket;
HologramUpdatePacket.id = 5;
