import { LunarClientMod } from '../../constants';
import { Packet } from '../Packet';
export declare class ModSettingsPacket extends Packet<ModSettings> {
    static id: number;
    write(data?: ModSettings): void;
    read(): ModSettings;
}
/**
 * Mod settings packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketModSettings.java
 */
interface ModSettings {
    settings: {
        [key in LunarClientMod]?: {
            enabled: boolean;
            properties: {
                [key: string]: unknown;
            };
        };
    };
}
export {};
