import { Packet } from '../Packet';
export declare class NametagsOverridePacket extends Packet<NametagsOverride> {
    static id: number;
    write(data?: NametagsOverride): void;
    read(): NametagsOverride;
}
/**
 * Nametags override packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketNametagsOverride.java
 */
interface NametagsOverride {
    /** UUID of the player */
    player: string;
    tags: string[];
}
export {};
