import { Packet } from '../Packet';
export declare class NametagsUpdatePacket extends Packet<NametagsUpdate> {
    static id: number;
    write(data?: NametagsUpdate): void;
    read(): NametagsUpdate;
}
/**
 * Nametags update packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketNametagsUpdate.java
 */
interface NametagsUpdate {
    playersMap: {
        uuid: string;
        tags: string[];
    }[];
}
export {};
