"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NametagsUpdatePacket = void 0;
const Packet_1 = require("../Packet");
class NametagsUpdatePacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        const isNull = this.data.playersMap === null;
        this.buf.writeVarInt(isNull ? -1 : this.data.playersMap.length);
        if (!isNull)
            for (const player of this.data.playersMap) {
                this.buf.writeUUID(player.uuid);
                this.buf.writeVarInt(player.tags.length);
                for (const tag of player.tags)
                    this.buf.writeString(tag);
            }
        this.buf.finish();
    }
    read() {
        const playersMapLength = this.buf.readVarInt();
        const isNull = playersMapLength === -1;
        const playersMap = isNull ? null : [];
        if (!isNull)
            for (let i = 0; i < playersMapLength; i++) {
                const uuid = this.buf.readUUID();
                const tagsLength = this.buf.readVarInt();
                const tags = [];
                for (let i = 0; i < tagsLength; i++)
                    tags.push(this.buf.readString());
                playersMap.push({ uuid, tags });
            }
        return this.data;
    }
}
exports.NametagsUpdatePacket = NametagsUpdatePacket;
NametagsUpdatePacket.id = 8;
