import { NotificationLevel } from '../../constants';
import { Packet } from '../Packet';
declare class _NotificationPacket extends Packet<Notification> {
    static id: number;
    write(data?: Notification): void;
    read(): Notification;
}
/** @deprecated Packet not handled by the official Lunar Client */
export declare const NotificationPacket: typeof _NotificationPacket;
/**
 * Notification packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketNotification.java
 */
interface Notification {
    message: string;
    durationMs: number;
    level: NotificationLevel;
}
export {};
