"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TeammatesPacket = void 0;
const Packet_1 = require("../Packet");
class TeammatesPacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        const isNotNull = this.data.leader !== null;
        this.buf.writeBoolean(isNotNull);
        if (isNotNull)
            this.buf.writeUUID(this.data.leader);
        this.buf.writeLong(this.data.lastMs);
        this.buf.writeVarInt(this.data.players.length);
        for (const player of this.data.players) {
            this.buf.writeUUID(player.uuid);
            const keys = Object.keys(player.posMap);
            this.buf.writeVarInt(keys.length);
            for (const key of keys) {
                this.buf.writeString(key);
                this.buf.writeDouble(player.posMap[key]);
            }
        }
        this.buf.finish();
    }
    read() {
        let leader = null;
        if (this.buf.readBoolean())
            leader = this.buf.readUUID();
        const lastMs = this.buf.readLong();
        const playersLength = this.buf.readVarInt();
        const players = [];
        for (let i = 0; i < playersLength; i++) {
            const uuid = this.buf.readUUID();
            const posMapLength = this.buf.readVarInt();
            const posMap = {};
            for (let i = 0; i < posMapLength; i++)
                posMap[this.buf.readString()] = this.buf.readDouble();
            players.push({ uuid, posMap });
        }
        this.data = {
            leader,
            lastMs,
            players,
        };
        return this.data;
    }
}
exports.TeammatesPacket = TeammatesPacket;
TeammatesPacket.id = 13;
