import { Packet } from '../Packet';
export declare class VoiceChannelSwitchPacket extends Packet<VoiceChannelSwitch> {
    static id: number;
    write(data?: VoiceChannelSwitch): void;
    read(): VoiceChannelSwitch;
}
/**
 * Voice channel switch packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketVoiceChannelSwitch.java
 */
interface VoiceChannelSwitch {
    /** Channel we're switching to */
    uuid: string;
}
export {};
