import { Packet } from '../Packet';
declare class _EmoteBroadcastPacket extends Packet<EmoteBroadcast> {
    static id: number;
    write(data?: EmoteBroadcast): void;
    read(): EmoteBroadcast;
}
/** @deprecated Packet not handled by the official Lunar Client */
export declare const EmoteBroadcastPacket: typeof _EmoteBroadcastPacket;
/**
 * Emote broadcast packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/shared/LCPacketEmoteBroadcast.java
 */
interface EmoteBroadcast {
    /** User doing the emote */
    uuid: string;
    /** Emote they are doing */
    emoteId: number;
}
export {};
